Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-53928

Add the new xmlreader 3.1 requirement to all supported branches

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide

      0) Ensure that there isn't any "environment" dir under moodledata. Delete it if exists.
      1) Install any of the patched versions (27, 28, 29 or 30).
      2) Go to admin -> server -> environment
      3) In the Moodle version menu, select 3.1 (and upwards)
      4) Verify that the xmlreader extension is shown as required (must be installed and enabled)
      5) Click the "Update component" link (that will download the master version of environmental requirements). A "Component installed" notification will be shown.
      6) Check that there is an "environment" dir under moodledata.
      7) Verify that the xmlreader extension is also shown as required.

      That's all.

      Show
      0) Ensure that there isn't any "environment" dir under moodledata. Delete it if exists. 1) Install any of the patched versions (27, 28, 29 or 30). 2) Go to admin -> server -> environment 3) In the Moodle version menu, select 3.1 (and upwards) 4) Verify that the xmlreader extension is shown as required (must be installed and enabled) 5) Click the "Update component" link (that will download the master version of environmental requirements). A "Component installed" notification will be shown. 6) Check that there is an "environment" dir under moodledata. 7) Verify that the xmlreader extension is also shown as required. That's all.
    • Affected Branches:
      MOODLE_27_STABLE, MOODLE_28_STABLE, MOODLE_29_STABLE, MOODLE_30_STABLE
    • Fixed Branches:
      MOODLE_27_STABLE, MOODLE_28_STABLE, MOODLE_29_STABLE, MOODLE_30_STABLE
    • Pull from Repository:

      Description

      MDL-51603 added a new requirement to Moodle 3.1, to have the xmlreader extension enabled.

      Such a requirement was added only to the master branch admin/environment.xml file.

      This is about to add it to all supported branches (27, 28, 29 and 30), so people will know in advance if their servers fulfill requirements (note that's the standard way we proceed (see MDL-51580).

      Ciao

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                1 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  9/May/16